<template>
  <button
    @click="$emit('click')"
    class="btn_switchere"
    :class="{'btn_switchere-active': active}">
    <slot></slot>
  </button>
</template>

<script>
  export default {
    name: "switchereMethodsBtn",
    props: {
      active: Boolean
    },
    data() {
      return {}
    },
    computed: {},
    methods: {},
    created() {
    }
  }
</script>
<style
  lang="scss"
  >
  .btn_switchere {
    margin: 5px 0px;
    background-color: transparent;
    border: 1px solid #404859;
    max-height: 50px;
    min-width: 40px;
    height: 40px;
    width: auto;
    padding: 5px 10px;
    border-radius: 10px;
    flex: 1;
    &:not(:last-child) {
      margin-right: 8px;
    }
    img {
      min-width: 30px;
      transition: .2s all ease-out;
      opacity: .6;
    }
    &-active {
      border-color: #03aab4;
      img {
        opacity: 1;
      }
    }
  }
</style>
